var $AdfUIComponents$$ = {};
$goog$exportSymbol$$("AdfUIComponents", $AdfUIComponents$$);
$AdfUIComponents$$.$CreateArrayToObjectFunction$ = function $$AdfUIComponents$$$$CreateArrayToObjectFunction$$($propertyNames$$1$$) {
  return new Function("return {'" + ($propertyNames$$1$$.join("':1,'") + "':1};"));
};
$goog$exportSymbol$$("AdfUIComponents.CreateArrayToObjectFunction", $AdfUIComponents$$.$CreateArrayToObjectFunction$);
$AdfUIComponents$$.$CreatePropertiesFunction$ = function $$AdfUIComponents$$$$CreatePropertiesFunction$$($propertyKeys$$2$$) {
  for (var $properties$$3$$ = {}, $i$$41$$ = 0;$i$$41$$ < $propertyKeys$$2$$.length;$i$$41$$++) {
    var $key$$33$$ = $propertyKeys$$2$$[$i$$41$$];
    "string" == typeof $key$$33$$ ? $key$$33$$ = {name:$key$$33$$} : $AdfAssert$$.$assertObject$($key$$33$$);
    $key$$33$$.type || ($key$$33$$.type = "Object");
    void 0 === $key$$33$$["default"] && ($key$$33$$["default"] = null);
    $properties$$3$$[$key$$33$$.name] = $key$$33$$;
  }
  return function() {
    return $properties$$3$$;
  };
};
$goog$exportSymbol$$("AdfUIComponents.CreatePropertiesFunction", $AdfUIComponents$$.$CreatePropertiesFunction$);
$AdfUIComponents$$.$_nullFunction$ = function $$AdfUIComponents$$$$_nullFunction$$() {
  return null;
};
$AdfUIComponents$$.$createComponentClass$ = function $$AdfUIComponents$$$$createComponentClass$$($componentName$$, $componentDef$$) {
  function $constructorFunction$$3$$($componentName$$, $componentDef$$, $constructorFunction$$3$$) {
    this.Init($componentType$$6$$, $componentName$$, $componentDef$$, $constructorFunction$$3$$);
  }
  var $componentType$$6$$ = $componentDef$$.componentType;
  $constructorFunction$$3$$._COMPONENT_TYPE = $componentType$$6$$;
  var $theSuperclass$$1$$ = $componentDef$$.superclass;
  $theSuperclass$$1$$ || ($theSuperclass$$1$$ = $AdfUIComponent$$);
  $AdfObject$$.$createSubclass$($constructorFunction$$3$$, $theSuperclass$$1$$, $componentName$$);
  $componentName$$ && (window[$componentName$$] = $constructorFunction$$3$$);
  var $subclassPropertyFunc$$ = $AdfUIComponents$$.$_nullFunction$, $propertyKeys$$3$$ = $componentDef$$.propertyKeys;
  $propertyKeys$$3$$ && $propertyKeys$$3$$.length && ($subclassPropertyFunc$$ = $AdfUIComponents$$.$CreatePropertiesFunction$($propertyKeys$$3$$));
  ($componentDef$$.namingContainer || $AdfUIComponent$$.$__isNamingContainer$($theSuperclass$$1$$)) && $AdfUIComponent$$.$__setNamingContainer$($constructorFunction$$3$$);
  $constructorFunction$$3$$.$GetSubclassPropertyKeys$ = $subclassPropertyFunc$$;
  $constructorFunction$$3$$.$InitClass$ = $AdfUIComponent$$.$InitClass$;
  $AdfUIComponent$$.$registerComponent$($componentType$$6$$, $constructorFunction$$3$$);
  return $constructorFunction$$3$$;
};
$goog$exportSymbol$$("AdfUIComponents.createComponentClass", $AdfUIComponents$$.$createComponentClass$);
$AdfUIComponents$$.$constructorFunction$ = function $$AdfUIComponents$$$$constructorFunction$$($i$$43$$, $p$$2$$, $u$$1$$) {
  this.Init(AdfUIPopup.$_COMPONENT_TYPE$, $i$$43$$, $p$$2$$, $u$$1$$);
};
$goog$exportSymbol$$("AdfUIComponents.constructorFunction", $AdfUIComponents$$.$constructorFunction$);
$AdfUIComponents$$.$_PROPERTIES_PARAM_NAME$ = "p";
$AdfUIComponents$$.$_ID_PARAM_NAME$ = "i";
$AdfUIComponents$$.$_USAGE_PARAM_NAME$ = "u";
